/*
* Copyright (c) 2007-2017 TeamSpeak Systems
*/
#pragma once

#include <stdbool.h>

#define CHECK_ERROR_FATAL(x) check_error_ok(x, __FILE__ ,__LINE__, true)
#define CHECK_ERROR(x) check_error_ok(x, __FILE__ ,__LINE__, false)

bool check_error_ok(unsigned int error, const char *file, unsigned int line, bool do_exit);

void sleep_ms(int milliseconds);